Home » Linux » Matplotlib-Animation “No MovieWriters Available”

Matplotlib-Animation “No MovieWriters Available”

Posted by: admin November 29, 2017 Leave a comment

Questions:

Under Linux, I’ve been checking out matplotlib’s animation class, and it seems to work except that I cant initialise the movie writer to write out the movie.

Using either of the examples:

results in the error “RuntimeError: No MovieWriters available!

Im using matplotlib version 1.3.x and have installed (hopefully) all the codecs.

Can someone please suggest as to why I get this error? If its a codecs issue, which codecs (+versions) should I install?
If its something else that’s broken, is there an alternative for creating animations in python?

Answers:

Had the same problem….managed to get it to work after a little while.

Thing to do is follow instructions on installing FFmpeg – which is (at least on windows) a bundle of executables you need to set a path to in your environment variables

http://www.wikihow.com/Install-FFmpeg-on-Windows

Download the exes from here.

http://ffmpeg.zeranoe.com/builds/

Hope this helps someone – even after a while after the question – good luck

Questions:
Answers:

I know this question is about Linux, but in case someone stumbles on this problem on Mac like I did here is the solution for that. I had the exact same problem on Mac because ffmpeg is not installed by default apparently, and so I could solve it using:

brew install yasm
brew install ffmpeg

Questions:
Answers:

For fellow googlers using Anaconda, install the ffmpeg package:

conda install -c conda-forge ffmpeg

This works on Windows too.

(Original answer used menpo package owner but as mentioned by @harsh their version is a little behind at time of writing)

Questions:
Answers:

Had the same problem under Linux. By default the animate.save method is using ffmpeg but it seems to be deprecated.
https://askubuntu.com/questions/432542/is-ffmpeg-missing-from-the-official-repositories-in-14-04

Solution:
Install some coder, like avconv or mencoder.
Provide the alternative coder in the call:

ani.save('the_movie.mp4', writer = 'mencoder', fps=15)

Questions:
Answers:

If you are using Ubuntu 14.04 ffmpeg is not available. You can install it by using the instructions directly from https://www.ffmpeg.org/download.html.

In short you will have to:

sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install ffmpeg gstreamer0.10-ffmpeg

If this does not work maybe try using sudo apt-get dist-upgrade but this may broke things in your system.

Leave a Reply

Your email address will not be published. Required fields are marked *